Bug 237324 - LSPP: genhomedircon does not pick up default user types correctly
Summary: LSPP: genhomedircon does not pick up default user types correctly
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: policycoreutils (Show other bugs)
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-20 19:57 UTC by Daniel Walsh
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2007-0543
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 18:04:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0543 normal SHIPPED_LIVE policycoreutils bug fix update 2007-10-30 22:59:44 UTC

Description Daniel Walsh 2007-04-20 19:57:01 UTC
Description of problem:
If I change the default user type of the default user, genhomedircon continues
to set the labeling to user_u.

In MLS policy, I could set default user to be staff_u

Steps to cause the problem:
semanage login -m -s staff_u __default__
genhomedircon
grep /home /etc/selinux/mls/contexts/files/file_context.homedirs

Should be staff_u and staff_* instead of user_u and user_*

For defaults

Comment 1 Daniel Walsh 2007-04-20 20:19:50 UTC
Fixed in policycoreutils-1.33.12-8

Comment 2 RHEL Product and Program Management 2007-04-20 20:24:00 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 4 Steve Grubb 2007-04-24 17:07:53 UTC
This bug is reported to be fixed, removing from LSPP query.

Comment 8 errata-xmlrpc 2007-11-07 18:04:10 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0543.html



Note You need to log in before you can comment on or make changes to this bug.